Home > Runtime Environment > Gtk Runtime Environment 2.0

Gtk Runtime Environment 2.0

This script has some dependencies, apart from the DLLs, which are necessary to build the installer. Both for convencience as well as for increased reliability across installations, it is recommended for developers to compile and link against the GTK+ SDK that I used to create the installers. gtk2-runtime-2.12.1-2007-10-28-ash.exe - GTK+ Runtime installer, based on gtk+-2.12.3, glib-2.14.4, atk-1.20.0, pango-1.18.3, cairo-1.4.10. Archived Files If the file you're looking for is not listed here, check SourceForge's File Area. http://analysedesgeeks.com/runtime-environment/j2se-runtime-environment-5-0-and-java-2-runtime-environment.html

Briefly describe the problem (required): Upload screenshot of ad (required): Select a file, or drag & drop file here. ✔ ✘ Please provide the ad click URL, if possible: SourceForge About They will be removed in the next major version. 2009-09-12 GTK+ Runtime installer has been updated to gtk+-2.16.6. Contains plenty of themes and theme engines, and GTK+ Preference Tool version 0.4.1.Compatible with GTK+ versions 2.10 through 2.16. gtk2-runtime-2.12.3-2007-12-16-ash.exe - GTK+ Runtime installer, based on gtk+-2.12.3, glib-2.14.4, atk-1.20.0, pango-1.18.3, cairo-1.4.10. navigate here

Sign up for the SourceForge newsletter: I agree to receive quotes, newsletters and other information from sourceforge.net and its partners regarding IT services and products. gtk2-themes-2008-01-21-ash.exe - GTK+ Themes installer. What languages are supported? The observant reader may have noticed that the version of Gtk+ that is included is 2.22.1, which is relatively old.

Note: This utility is included in latest GTK+ Themes package. Take a look at the screenshots to see a number of platforms GTK+ will run. gtk2-runtime-2.12.9-2008-03-18-ash.exe - GTK+ Runtime installer, based on gtk+-2.12.9, glib-2.16.1, atk-1.22.0, pango-1.20.0, cairo-1.4.14. Application packagers are reminded that they should distribute any DLL files their applications are linked with together with their applications, unless these DLLs are parts of gtk, glib, atk, pango or

The ratings you see may vary by country or region. Check the Details page and other links to the left. Recently I have also created a 64-bit GTK+-3 runtime package. https://sourceforge.net/projects/gtk-win/files/GTK%2B%20Runtime%20Environment/GTK%2B%202.16/ The only difference with the installers found at his website is that mine DO NOT have the compatdlls option, but this should present no problems to any user.

See the Downloads section for details. If this happens, I will update this blogpost… ; NSIS2 Script for GTK2-Runtime ; by Alexander Shaduri . ; Compatible with NSIS Unicode 2.45. ; Public Domain ; The The iconv library is no longer needed by glib, but it is used by libxml2 (libxml2 is not distributed with the installer). gtk2-runtime-2.14.5-2008-11-27-ash.exe - GTK+ Runtime installer, based on gtk+-2.14.5, glib-2.18.3, atk-1.24.0, pango-1.22.2, cairo-1.8.0.

SourceForge Browse Enterprise Blog Deals Help Create Log In or Join Solution Centers Go Parallel Resources Newsletters Cloud Storage Providers Business VoIP Providers Call Center Providers Home BrowseDevelopmentDesktop EnvironmentGTK+ for Windows Those interested in scientific plotting using Gtkmm3 may want to have a look at my project Gtkmm-PLplot. This version is based on GTK+ 2.24.10. News 2014-10-04 A fork of the installer for 64-bit Windows (plus SDK that goes along with it) has been created by Tom Schoonjans.

I can't because I'm using a mac! this contact form See the Downloads section for details. All the files are now hosted in the sourceforge.net project area. The installers can be found here.

Menu Home & News Details Downloads Embedding GTK+ GTK+ Preference Tool SourceForge Project Links Contact Actions View Edit History Print Search © 2016 Administrator | Powered by PmWiki | Barthelme theme See more Advertisement Discover alternatives to and add-ons for GTK+ 2 Runtime Environment Alternatives to GTK+ 2 Runtime Environment DirectX Free Utility library for programming with DirectX Softonic 7 7 User The best thing about it is that it's not big like .NET Framework required to run Paint.NET, or annoying like Sun Java (required to run OpenOffice and LimeWire.) ConsNone yet :) have a peek here Extract "lib" and "share" directories to GTK+ installation path to install.Compatible with GTK+ versions 2.10 through 2.16.

SHA1: 9c2777bcd3d2c7282be7c649cdc392e96cf68113 gtk2_prefs-0.4.1.bin-gtk2.10-win32.zip - GTK+ Preference Tool binary for win32 as a zip file.SHA1: 6c15d850e9a0cc63cc21a4ea5eadc78a9097d85eGTK+ 2.10.x or higher required. Permalink Failed to load latest commit information. Please don't fill out this field.

Since I didn’t change them at all, use the files that the original developer is sharing on sourceforge.

GTK+ 2 Runtime Environment Softonic 8 8 User 3.3 3.3 Download Addons for GTK+ 2 Runtime Environment GTK+ 2 Runtime Environment doesn’t have any addons yet. File libexpat-1.dll ; fontconfig needs this File libfontconfig-1.dll ; fontconfig is needed for ft2 pango backend File libgailutil-18.dll ; from gtk File libgdk_pixbuf-2.0-0.dll ; from gtk File libgdk-win32-2.0-0.dll ; from gtk Are there any licensing restrictions? You are logged in as .

IfSilent "" read_config_page StrCmp $uninstall_option_remove_config "yes" delete_config skip_config read_config_page: !insertmacro INSTALLOPTIONS_READ $leave_config "nsi_configpage.ini" "Field 1" "State" StrCmp $leave_config "1" skip_config delete_config: Delete "$INSTDIR\etc\gtk-2.0\gtkrc" skip_config: Delete "$INSTDIR\etc\fonts\fonts.conf" RMDir "$INSTDIR\etc\fonts" ; only if See the Downloads section for details. 2008-02-02 GTK+ Runtime installer has been updated to gtk+-2.12.6. You may want to have a look at my Inno Setup (new) and NSIS (old) based installers. Check This Out This being said, I still needed such an installer so I wrote one based on his NSIS script, using the official 64-bit Gtk+ packages for Windows 64-bit.

gtk2-runtime-2.6.9-050806-ash.exe - GTK+ Runtime installer (2005-08-06), based on gtk+-2.6.9, glib-2.6.6, atk-1.9.0, pango-1.8.2.Note: This is the last stable version of gtk-2.6.Note: This is the last version of GTK+ that runs on win9x. Get notifications on updates for this project. Contains plenty of themes and theme engines, and GTK+ Preference Tool version 0.4.1.Compatible with GTK+ versions 2.10 through 2.16. GTK+ 2 Runtime Environment 2.14.4 07/11/08 Free (GPL) English Windows 95 Windows 98 Windows 98 SE Windows ME Windows 2000 Windows NT Windows XP Close Apps & Games content ratings on

You'll notice that it is still based on gtk+-2.16.6. This version fixes two issues: installing to a non-default directory was broken (embedded installers were unaffected); the dll location was not added to PATH even if requested (happened sometimes, only when